OpenNMS API 1.2.9

## org.opennms.netmgt.scriptd.helper
Class SnmpTrapHelper.SnmpCounter64Factory

    java.lang.Object
      org.opennms.netmgt.scriptd.helper.SnmpTrapHelper.SnmpCounter64Factory

All Implemented Interfaces:
  SnmpTrapHelper.VarBindFactory

Enclosing class:
  SnmpTrapHelper

private class SnmpTrapHelper.SnmpCounter64Factory
extends java.lang.Object
implements SnmpTrapHelper.VarBindFactory

Variable binding factory for SnmpCounter64

Constructor Summary
`private` `SnmpTrapHelper.SnmpCounter64Factory()`

Method Summary
`SnmpVarBind` `getVarBind(java.lang.String name, java.lang.String encoding, java.lang.String value)` Constructs a new SnmpVarBind with the specified name and value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpTrapHelper.SnmpCounter64Factory

    private SnmpTrapHelper.SnmpCounter64Factory()

Method Detail

### getVarBind

    public SnmpVarBind getVarBind(java.lang.String name,
                                  java.lang.String encoding,
                                  java.lang.String value)
                           throws SnmpTrapHelperException

  Constructs a new SnmpVarBind with the specified name and value. The value will be encoded as an SnmpCounter64. The value is assumed to have been encoded with the specified encoding (only XML_ENCODING_TEXT is supported).

  Specified by:
    `getVarBind` in interface `SnmpTrapHelper.VarBindFactory`
  Parameters:
    `name` - The name (a.k.a. "id") of the variable binding to be created
    `encoding` - Describes the way in which the value content has been encoded (i.e. XML_ENCODING_TEXT, or XML_ENCODING_BASE64)
    `value` - The variable binding value
  Returns:
    The newly-created variable binding
  Throws:
    `Throws` - SnmpTrapHelperException if the variable binding cannot be created for any reason (e.g. encoding not supported, invalid value, etc.).
    `SnmpTrapHelperException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.